Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.source.stream
Class SourceToXmlTest

    java.lang.Object
      org.apache.torque.generator.source.stream.SourceToXmlTest

    public class SourceToXmlTest

extends Object

Tests the SourceToXml functionality. $Id: SourceToXmlTest.java 1331190 2012-04-27 02:41:35Z tfischer $

Constructor Summary
`SourceToXmlTest()`

Method Summary
`void` | `testSourceToXml()`
`void` | `testSourceToXmlAttributeEscaping()`
`void` | `testSourceToXmlNoAutomaticIds()`
`void` | `testSourceToXmlTextEscaping()`
`void` | `testSourceToXmlWithReferences()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceToXmlTest

    public SourceToXmlTest()

Method Detail

### testSourceToXml

    public void testSourceToXml()
                         throws Exception

  Throws:
    `Exception`

### testSourceToXmlWithReferences

    public void testSourceToXmlWithReferences()
                                       throws Exception

  Throws:
    `Exception`

### testSourceToXmlTextEscaping

    public void testSourceToXmlTextEscaping()
                                     throws Exception

  Throws:
    `Exception`

### testSourceToXmlAttributeEscaping

    public void testSourceToXmlAttributeEscaping()
                                          throws Exception

  Throws:
    `Exception`

### testSourceToXmlNoAutomaticIds

    public void testSourceToXmlNoAutomaticIds()
                                       throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.